<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'lv', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_memcached
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'Buferis raksta';
$string['bufferwrites_help'] = 'Iespējo vai atspējo buferī ievietotu ievadizvadi (I/O). Iespējojot buferī ievietotu I/O, krātuves komandas tiek ievietotas “buferī”, nevis nosūtītas. Ikviena darbība, kas izgūst datus, liek šo buferi nosūtīt uz attālo savienojumu. Arī savienojuma pārtraukšana vai savienojuma slēgšana izraisa buferī ievietoto datu pārvietošanu uz attālo savienojumu.';
$string['clustered'] = 'Iespējot klasterveida serverus';
$string['clusteredheader'] = 'Sadalīt serverus';
$string['clustered_help'] = 'Šis iestatījums tiek izmantots, lai atļautu funkcionalitāti “read-one, set-multi” (lasīt no viena, iestatīt daudzos).

Paredzētais lietošanas gadījums ir uzlabotas krātuves izveidošana līdzsvarotas noslodzes konfigurācijām. Krātuve izgūs no viena servera (parasti — localhost), bet iestatīs uz daudziem (visi serveri līdzsvarotas noslodze kopā). Kešatmiņām ar ļoti augstu lasīšanas un iestatīšanas attiecību šis iestatījums ietaupa ievērojamu daudzumu tīkla virstēriņa.

Ja šis iestatījums ir iespējots, iepriekš norādītais serveris tiks izmantots ienesei.';
$string['hash'] = 'Jaukšanas metode';
$string['hash_crc'] = 'CRC';
$string['hash_default'] = 'Noklusējums (pa vienam)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'Norāda vienumu atslēgām izmantoto jaucējalgoritmu. Katram jaucējalgoritmam ir savas priekšrocības un savi trūkumi. Ja tos nepārzināt vai ja jums ir vienalga, izmantojiet noklusējumu.';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'Murmur';
$string['isshared'] = 'Koplietotā kešatmiņa';
$string['pluginname'] = 'Memcached';
$string['prefix'] = 'Prefiksa atslēga';
$string['prefix_help'] = 'Šo vērtību var izmantot, lai izveidotu “domēnu” savām vienumu atslēgām, kas vienā memcached instalācijā ļauj izveidot vairākas memcached krātuves. Lai nodrošinātu, ka nerodas problēmas saistībā ar atslēgas garumu, šī vērtība nevar būt garāka par 16 rakstzīmēm.';
$string['prefixinvalid'] = 'Nederīgs prefikss. Var izmantot tikai rakstzīmes a–z A–Z 0–9-_.';
$string['serialiser_igbinary'] = 'Igbinary serializētājs.';
$string['serialiser_json'] = 'JSON serializētājs.';
$string['serialiser_php'] = 'Noklusējuma PHP serializētājs.';
$string['servers'] = 'Serveri';
$string['serversclusterinvalid'] = 'Ja ir iespējota klasterizācija, ir nepieciešams tieši viens serveris.';
$string['servers_help'] = 'Tas iestata serverus, kas ir jāizmanto ar šo memcached adapteri.
Serveri ir jānorāda pa vienam katrā rindā, un tiem ir jāsastāv no servera adreses un (neobligāti) no porta un svara.
Ja nav norādīts neviens ports, tiek izmantots noklusējuma ports (11211).

Piemēram:
<pre>
server.url.com
ipaddress:port
servername:port:weight
</pre>

Ja tālāk ir iespējots iestatījums *Iespējot klasterveida serverus*, šeit ir jābūt norādītam tikai vienam serverim. Parasti tas ir nosaukums, kas vienmēr tiek atrisināts uz vietēji datoru, piemēram, 127.0.0.1 vai localhost.';
$string['sessionhandlerconflict'] = 'Brīdinājums! Memcached instance ({$a}) ir konfigurēta lietot to pašu memcached serveri, ko lieto sesijas. Visu kešatmiņu iztīrīšana izraisīs arī sesiju iztīrīšanu.';
$string['setservers'] = 'Iestatīt serverus';
$string['setservers_help'] = 'Šis ir saraksts ar serveriem, kas tiek atjaunināti, kad kešatmiņā tiek mainīti dati. Parasti pilnīgi kvalificēts katra kopas servera nosaukums.
Tam **ir jāietver** serveris, kas iepriekš ir norādīts sadaļā *Serveri*, pat gadījumā, ja izmantots ar citu resursdatora nosaukumu.
Serveri ir jānorāda pa vienam katrā rindā, un tiem ir jāsastāv no servera adreses un (neobligāti) no porta.
Ja nav norādīts neviens ports, tiek izmantots noklusējuma ports (11211).

Piemēram:
<pre>
server.url.com
ipaddress:port
</pre>';
$string['testservers'] = 'Testa serveri';
$string['testservers_desc'] = 'Viena vai vairākas savienojuma virknes memcached serveriem, pret kuriem testēt. Ja ir norādīts testa serveris, memcached veiktspēju var pārbaudīt, izmantojot kešatmiņas veiktspējas lapu administratīvajā blokā.
Piemērs: 127.0.0.1:11211';
$string['usecompression'] = 'Izmantot saspiešanu';
$string['usecompression_help'] = 'Iespējo vai atspējo vērtuma saspiešanu. Kad šis iestatījums ir iespējots, vienumu vērtības, kas ir garākas par noteiktu slieksni (pašlaik — 100 baitiem), uzkrāšanas laikā tiek caurskatāmi saspiestas un izgūšanas laikā tiks caurskatāmi atspiestas.';
$string['useserialiser'] = 'Izmantot serializētāju';
$string['useserialiser_help'] = 'Norāda serializētāju, kas ir jāizmanto, lai serializētu vērtības, kuras nav skalāras.
Derīgie serializētāji ir Memcached::SERIALIZER_PHP vai Memcached::SERIALIZER_IGBINARY.
Pēdējais no tiem tiek atbalstīts tikai tad, ja memcached ir konfigurēts ar opciju --enable-memcached-igbinary un ir ielādēts igbinary paplašinājums.';
